Bug 1277676 - rhel-osp-director: Failed to update the setup from 7.0 to 7.1: (heat-config) [ERROR] Error running /var/lib/heat-config/heat-config-puppe|t/d40171ab-d13f-4706-8159-36c5c86051b5.pp. [NEEDINFO]
rhel-osp-director: Failed to update the setup from 7.0 to 7.1: (heat-config) ...
Product: Red Hat OpenStack
Classification: Red Hat
Component: rhosp-director (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity high
: y2
: 7.0 (Kilo)
Assigned To: Giulio Fidente
Alexander Chuzhoy
: TestOnly, Triaged
Depends On:
  Show dependency treegraph
Reported: 2015-11-03 15:02 EST by Alexander Chuzhoy
Modified: 2015-12-21 11:57 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-21 11:57:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hbrock: needinfo? (sasha)

Attachments (Terms of Use)
heat-engine.log from the undercloud. (10.77 MB, application/x-gzip)
2015-11-03 15:12 EST, Alexander Chuzhoy
no flags Details
messages from one controller. (1.44 MB, application/x-gzip)
2015-11-03 15:35 EST, Alexander Chuzhoy
no flags Details

  None (edit)
Description Alexander Chuzhoy 2015-11-03 15:02:14 EST
rhel-osp-director: Failed to update the setup from 7.0 to 7.1: heat-engine.log reports:  TRACE oslo_db.sqlalchemy.exc_filters DataError: (1406, "Data too long for column 'resource_properties' at row 1")


Steps to reproduce:
1. Deploy overcloud 7.0
2. Fix the repos on the undercloud.
3. Update the undercloud with yum update.
4. Fix the repos on all the overcloud nodes
5. Attempt to upgrade to 7.1 with:
openstack overcloud update stack overcloud -i --templates -e /usr/share/openstack-tripleo-heat-templates/overcloud-resource-registry-puppet.yaml -e /home/stack/update.yaml

The update fails.

Expected result:
The update should succeed.
Comment 2 Alexander Chuzhoy 2015-11-03 15:12 EST
Created attachment 1089194 [details]
heat-engine.log from the undercloud.
Comment 3 Zane Bitter 2015-11-03 15:13:09 EST
The log message mentioned is expected on every overcloud deployment or update (see bug 1277676) and is not related to the cause of the failure, whatever it is.
Comment 4 Zane Bitter 2015-11-03 15:14:57 EST
Sorry, copy-paste error. See bug 1261512 for details on the log message.
Comment 5 Alexander Chuzhoy 2015-11-03 15:35 EST
Created attachment 1089210 [details]
messages from one controller.
Comment 6 James Slagle 2015-11-06 11:39:16 EST
giulio can you look into this one?
Comment 7 Hugh Brock 2015-11-17 10:40:20 EST
Sasha, we think this was fixed with 7.1. Can you retest with latest poodle and see if it reproduces?
Comment 8 Amit Ugol 2015-12-15 06:02:39 EST
Since ^ is working now, and have been working on various topologies, its safe to assume that the column lengths are OK.
Comment 10 errata-xmlrpc 2015-12-21 11:57:44 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.